Eclipse JRE System Library (J2SE-1.5]

Je suis en utilisant Eclipse EE 3.7 avec m2e plugin installé. J'ai JDK7 ensemble dans eclipse.
Lorsque j'importe des projets maven, le JRE est mis à JRE System Library [J2SE-1.5], j'ai Donc la compilation des problèmes avec java 6 choses liées. Au lieu de cela, je veux le JRE dans eclipse être configurés par défaut pour JRE System Library [J2SE-1.6]

Lorsque j'essaie d'ouvrir un nouveau projet dans eclipse Fichier -> new -> Java projet sur le premier écran, j'ai une option pour choisir le JRE et la troisième option est Use default JRE (currently 'jdk1.7.0_03')

De ce que je peut voir que la valeur par défaut JRE dans Eclipse est 1.7, mais quand je l'importation de nouveaux projets Maven, le JRE est fixée à 1,5 par défaut.

Toute aide, comment puis-je faire cela?

  • Je suis en train de vivre un de même problème. Quel que soit le JRE System Library est définie, la réalisation d'un Projet>Maven>Projet de mise à Jour... réinitialise le JRE System Library pour J2SE-1.5.